/*
 * Copyright (C) 2009-2020 SAP SE or an SAP affiliate company. All rights reserved.
 */
sap.ui.define(function(){"use strict";var R={oData:{_persoSchemaVersion:"1.0",aColumns:[{id:"rateCard-RateCard_Tbl_RateCardItems-RateCard_Col_Role",order:0,visible:true},{id:"rateCard-RateCard_Tbl_RateCardItems-RateCard_Col_StdRate",order:1,visible:true},{id:"rateCard-RateCard_Tbl_RateCardItems-RateCard_Col_ValidFrom",order:2,visible:true},{id:"rateCard-RateCard_Tbl_RateCardItems-RateCard_Col_ProjRate",order:3,visible:true}]},getPersData:function(){var d=new jQuery.Deferred();if(!this._oBundle){this._oBundle=this.oData;}var b=this._oBundle;d.resolve(b);return d.promise();},setPersData:function(b){var d=new jQuery.Deferred();this._oBundle=b;d.resolve();return d.promise();},resetPersData:function(){var d=new jQuery.Deferred();this._oBundle=R.oData;d.resolve();return d.promise();}};return R;},true);
